quadrapassel doesn't start: Failed to initialise clutter: Unable to select the newly created GLX context

Bug #561734 reported by Linus Hoppe on 2010-04-12
180
This bug affects 35 people
Affects Status Importance Assigned to Milestone
GNOME Games
Unknown
Critical
gnome-games (Ubuntu)
Medium
Unassigned
Declined for Lucid by Timo Aaltonen
Declined for Maverick by Timo Aaltonen
mesa (Ubuntu)
High
Chris Halse Rogers
Declined for Lucid by Timo Aaltonen
Declined for Maverick by Timo Aaltonen

Bug Description

Binary package hint: gnome-games

When clicking on the quadrapassel-icon in the menu, nothing happens.

Trying to start in the terminal does the following output:

linus@vbox-lucid:~$ /usr/games/quadrapassel
failed to create drawable
Failed to initialise clutter: Unable to select the newly created GLX context

I'm using a fully updated lucid-beta with quadrapassel 1:2.30.0-0ubuntu5.
---
Architecture: i386
CurrentDmesg:
 [ 30.424093] eth1: no IPv6 routers present
 [ 30.820105] eth0: no IPv6 routers present
 [ 106.665279] end_request: I/O error, dev fd0, sector 0
 [ 106.696136] end_request: I/O error, dev fd0, sector 0
DistroRelease: Ubuntu 10.04
DkmsStatus: Error: [Errno 2] No such file or directory
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: innotek GmbH VirtualBox
Package: mesa (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-21-generic root=UUID=89e96d60-571d-4009-bc4a-fd5f5d9e9b81 ro quiet splash
ProcEnviron:
 LANG=de_DE.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Tags: lucid lucid
Uname: Linux 2.6.32-21-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 12/01/2006
dmi.bios.vendor: innotek GmbH
dmi.bios.version: VirtualBox
dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:
dmi.product.name: VirtualBox
dmi.product.version: 1.2
dmi.sys.vendor: innotek GmbH
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: lucid
 architecture: i686
 kernel: 2.6.32-21-generic

Related branches

linus@vbox-lucid:~$ gdb quadrapassel
GNU gdb (GDB) 7.1-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/games/quadrapassel...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/games/quadrapassel
[Thread debugging using libthread_db enabled]
failed to create drawable
Failed to initialise clutter: Unable to select the newly created GLX context

Program exited with code 01.

description: updated
description: updated
Angel Abad (angelabad) on 2010-04-13
Changed in gnome-games:
importance: Undecided → Unknown
status: New → Unknown
bbordwell (benbordwell) on 2010-04-13
Changed in gnome-games (Ubuntu):
status: New → Confirmed
Angel Abad (angelabad) wrote :

Hi Linus, in Gnome Bugzilla Jason Clinton said:

Unfortunately, that stack trace is missing some elements that will help a lot
to solve the problem, so it will be hard for the developers to fix that crash.
Can you get us a stack trace with debugging symbols? Please see
http://live.gnome.org/GettingTraces for more information on how to do so and
reopen this bug or report a new one. Thanks in advance!

Could you provde this trace?

Thanks!

Changed in gnome-games (Ubuntu):
status: Confirmed → Incomplete

I've tried so. But BudBuddy doesn't react and gdb says that quadrapassel has no debugging symbols and that there is no stack.

bbordwell (benbordwell) wrote :

@ linus you must install the -dbgsym package for the program you are trying to debug. Follow the instructions on this page https://wiki.ubuntu.com/DebuggingProgramCrash

I already put the results of my stacktrace on the upstream but but nothing useful comes out even with the debbuging symbols.

bbordwell (benbordwell) wrote :

Also, could everyone effected by this bug say which graphics driver they are using? I belive all the games that depend on clutter are not working

ben@ben-desktop:~$ swell-foop
failed to create drawable
Failed to initialise clutter: Unable to select the newly created GLX context
ben@ben-desktop:~$ quadrapassel
failed to create drawable
Failed to initialise clutter: Unable to select the newly created GLX context
ben@ben-desktop:~$ lightsoff
failed to create drawable
Failed to initialise clutter: Unable to select the newly created GLX context

I have a hunch this could be a nouveau bug or a bug with the games specific to nouveau so let me know.

I'm using fglrx:

linus@dell-laptop:~$ lspci -nnk | grep -iA2 vga
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Mobility Radeon HD 3400 Series [1002:95c4]
 Kernel driver in use: fglrx_pci
 Kernel modules: fglrx, radeon

Sorry, i forgot. In this case, I'm using Lucid with Virtualbox in Version 3.1.6-59338_Ubuntu_karmic.

Mark Bidewell (mbidewel) wrote :

I have tried on VirtualBox and KVM (graphics set to VMWare and std)

Changed in gnome-games (Ubuntu):
importance: Undecided → Medium
summary: - quadrapassel doesn't start
+ quadrapassel doesn't start: Failed to initialise clutter: Unable to
+ select the newly created GLX context
Florent Mertens (givre) wrote :

Clutter require 3D capability that some graphic driver can't offer.
Same problem for people using VirtualBox or KVM.

The main problem i see is that you get no feedback of why the game
didn't start. You should get a dialog explaining that you can play this
game in a environement that is 3D capable.

Same error here, also using the nouveau driver
olivier@wental:~$ lspci -nnk | grep -iA2 vga
01:00.0 VGA compatible controller [0300]: nVidia Corporation NV44A [GeForce 6200] [10de:0221] (rev a1)
 Kernel driver in use: nouveau
 Kernel modules: nvidiafb, nouveau

Changed in gnome-games (Ubuntu):
status: Incomplete → Confirmed

on a side note maybe Ubuntu should start regular gnome-tetris if Quadrapassel fail to start up

Changed in gnome-games:
status: Unknown → Invalid
papukaija (papukaija) wrote :

Jason wrote on the upstream report:

"Clutter should never fail in the way in which you are seeing it fail. Something
is terribly, horribly wrong with your installation and it's not something that
I or anyone else can program a nice error message for. OpenGL should *always*
fall back to the software renderer. If it doesn't, something about the
installation is broken and there's nothing deterministic that I could plan for.

Please fix whatever is wrong with your Linux installation or file a bug with
the distributor if they are not providing the software GL implementation
appropriately."

My installation is okay. It's because I'm using it with VirtualBox.

Fernando (fniwes) wrote :

I tried this game in two differents computers. Both 64 bits, with nouveau drivers.

Yesterday, if ran from the menu, didn't happends. If ran from CLI it shows the error "Unable to make the stage windows the current GLX drawable" but the game ran perfectly.

Today, after many upgrades in one of the machines, it doesn't work even from CLI. Now the error is:
failed to create drawable
Failed to initialise clutter: Unable to select the newly created GLX context

(I did not upgrade the other machine because that was using a bootable USB)

bbordwell (benbordwell) wrote :

I think what upstream was getting at was that this is a problem with how they have put together lucid, Try it out on another distro with gnome 2.30 and the same setup and see if it works.

Mark Bidewell (mbidewel) wrote :

I just tried Fedora 13 Beta in KVM and received the same error. Fedora 13 on my real HW (Geforce 8600GTS) works

Mark Bidewell (mbidewel) wrote :

I reported this on the fedora-devel mailing list as well. Here is a link to the thread:

http://lists.fedoraproject.org/pipermail/devel/2010-April/134957.html

For those having issues with nouveau, are there any optional Mesa packages in Ubuntu similar to that referenced in the thread?

Marked as affecting nouveau too since it seems to be one of the cause, maybe they can fix it up from there or have a better understanding of the problem

Robert Hooker (sarvatt) on 2010-04-20
affects: xserver-xorg-video-nouveau (Ubuntu) → mesa (Ubuntu)
Bryce Harrington (bryce) on 2010-04-21
tags: added: lucid
Bryce Harrington (bryce) wrote :

Hi Linus,

Please run the command 'apport-collect BUGNUMBER', which will attach several files we need for debugging.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-xorglog
tags: added: needs-lspci-vvnn
Changed in mesa (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Robert Hooker (sarvatt) wrote :

Can you please update to the xserver in this PPA and confirm it fixes the problem for you?

https://edge.launchpad.net/~ubuntu-x-swat/+archive/x-updates

affects: mesa (Ubuntu) → xorg-server (Ubuntu)
papukaija (papukaija) wrote :

The requested information has been provided.

Changed in xorg-server (Ubuntu):
status: Incomplete → Confirmed
Robert Hooker (sarvatt) wrote :

You do not need to be using a specific setup to hit this bug either, simply running LIBGL_ALWAYS_SOFTWARE=1 quadrapassel for instance will reproduce it anywhere.

papukaija (papukaija) on 2010-04-21
tags: removed: needs-lspci-vvnn needs-xorglog
bbordwell (benbordwell) wrote :

The package in that ppa fixed it for me.

bbordwell (benbordwell) wrote :

I do still get this terminal output though:

ben@ben-desktop:~$ quadrapassel

(quadrapassel:2321): ClutterGLX-CRITICAL **: Unable to make the stage window 0x3400040 the current GLX drawable

(quadrapassel:2321): ClutterGLX-CRITICAL **: Unable to make the stage window 0x340005d the current GLX drawable

Robert Hooker (sarvatt) wrote :

Yes those errors appear when starting quadrapassel in a terminal regardless at the moment and aren't related to this bug, but it should still work properly.

Phil Housley (undeconstructed) wrote :

I see the same issue using nouveau, and updating with ppa:ubuntu-x-swat/x-updates seems to fix it.

Daniel Che (danielche9) wrote :

I updated with ppa:ubuntu-x-swat/x-updates, but continues with the same error of https://bugs.launchpad.net/ubuntu/+source/gnome-games/+bug/554334.

Robert Hooker (sarvatt) wrote :

That is a different bug Daniel Che, you aren't using software rasterizer and are instead using savage which has other problems with clutter apps as noted by your different error message.

Okay, now I'm using xserver-common ein in version 2:1.7.6-2ubuntu7~xup2 and xserver-xorg-core in version 2:1.7.6-2ubuntu7~xup2 from the given PPA.

Now, quadrapassel works for me. No problem to start it. But there is still an error message (but the game works):

linus@vbox-lucid:~$ quadrapassel

(quadrapassel:1234): ClutterGLX-CRITICAL **: Unable to make the stage window 0x3800040 the current GLX drawable

(quadrapassel:1234): ClutterGLX-CRITICAL **: Unable to make the stage window 0x380005d the current GLX drawable

Mark Bidewell (mbidewel) wrote :

Will this xorg update be made available as a normal update for 10.04?

Robert Hooker (sarvatt) wrote :

The fix has been released to Lucid, thanks for the testing!

xorg-server (2:1.7.6-2ubuntu7) lucid; urgency=low

  * Drop 117_fix_crash_with_createglyphset.patch
    - Dupe of patch 110
  * Drop 03_fedora_glx_versioning.diff, 04_fedora_glx14-swrast.diff
    - These patches were brought in by Debian to provide glx 1.4 support
      which Fedora backported from xserver 1.8, however testing in
      Ubuntu showed they caused a crash when closing Clutter apps (#550218),
      and graphics corruption when opening windows. Dropping these patches
      returns us to GLX 1.2, which has been found to be stable; Debian has
      also dropped these two patches.
      (Fixes #565903).
  * Drop 114_dri2_make_sure_x_drawable_exists.patch
    - This was an early attempt by upstream which fixed the aforementioned
      Clutter crash, but which introduced a memory leak.
      (Fixes #565981)

Date: Thu, 22 Apr 2010 17:24:38 -0700
Changed-By: Bryce Harrington <bryce at ubuntu.com>

Changed in xorg-server (Ubuntu):
status: Confirmed → Fix Released
Changed in gnome-games (Ubuntu):
status: Confirmed → Invalid
tags: added: regression-potential
tags: removed: regression-potential

This bug reappears in Maverick, maybe the newer xserver package is missing the patch?

This is using virtualbox:
$ quadrapassel --clutter-debug=all
ClutterX11-Message: [BACKEND] ./clutter-backend-x11.c:143: XOpenDisplay on ':0.0'
ClutterX11-Message: [BACKEND] ./clutter-backend-x11.c:170: Getting the X screen
Clutter-Message: [BACKEND] ./clutter-backend.c:173: Units per em: 11.96
ClutterX11-Message: [BACKEND] ./clutter-device-manager-x11.c:70: XInput support not enabled
ClutterX11-Message: [BACKEND] ./clutter-device-manager-x11.c:167: Added core pointer device
ClutterX11-Message: [BACKEND] ./clutter-device-manager-x11.c:176: Added core keyboard device
ClutterX11-Message: [BACKEND] ./clutter-backend-x11.c:225: X Display ':0.0'[0x9604a0] opened (screen:0, root:258, dpi:95.849057)
Clutter-Message: [MISC] ./clutter-feature.c:91: checking features
Clutter-Message: [MISC] ./clutter-feature.c:95: allocating features data
ClutterGLX-Message: [BACKEND] clutter-backend-glx.c:407: Retrieving GL fbconfig, dpy: 0x9604a0, xscreen; 0x8e2f10 (0)
ClutterGLX-Message: [BACKEND] clutter-backend-glx.c:509: Creating GLX Context (display: 0x9604a0)
ClutterGLX-Message: [GL] clutter-backend-glx.c:528: Setting direct context
failed to create drawable
ClutterGLX-Message: [BACKEND] clutter-backend-glx.c:587: Selecting dummy 0x3c00004 for the GLX context
Failed to initialise clutter: Unable to select the newly created GLX context

$ apt-cache policy xserver-xorg-core
xserver-xorg-core:
  Installed: 2:1.8.1.902-0ubuntu2
  Candidate: 2:1.8.1.902-0ubuntu2
  Version table:
 *** 2:1.8.1.902-0ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ maverick/main Packages
        100 /var/lib/dpkg/status

tags: added: regression-potential
papukaija (papukaija) wrote :

Reopening as this bug is reproduced in Maverick, see comment #51 for more information.

Changed in xorg-server (Ubuntu):
status: Fix Released → Confirmed

I cal also reproduce the bug with nouveau on Lucid, with the xorg-edgers ppa (7.9.0+git20100721.ec0e7b16-0ubuntu0sarvatt~lucid).

I get the "Unable to make the stage window..." error, and a segmentation fault crash (in dri2InvalidateBuffers -- dri2_glx.c:621).

Robert Roth (evfool) wrote :

I also have this problem using Maverick alpha3, all updates installed, with an NVidia card, and using the nouveau driver.
Error message :
failed to create drawable
Failed to initialise clutter: Unable to select the newly created GLX context

Can confirm under Maverick, fixed in lucid, but NOT in maverick.

Debug under maverick virtualbox:

linus@virtualbox-maverick:~/Desktop/pyneighborhood$ quadrapassel --clutter-debug=all
ClutterX11-Message: [BACKEND] ../../../../clutter/x11/clutter-backend-x11.c:143: XOpenDisplay on ':0.0'
ClutterX11-Message: [BACKEND] ../../../../clutter/x11/clutter-backend-x11.c:170: Getting the X screen
Clutter-Message: [BACKEND] ../../../clutter/clutter-backend.c:173: Units per em: 11,96
ClutterX11-Message: [BACKEND] ../../../../clutter/x11/clutter-device-manager-x11.c:70: XInput support not enabled
ClutterX11-Message: [BACKEND] ../../../../clutter/x11/clutter-device-manager-x11.c:167: Added core pointer device
ClutterX11-Message: [BACKEND] ../../../../clutter/x11/clutter-device-manager-x11.c:176: Added core keyboard device
ClutterX11-Message: [BACKEND] ../../../../clutter/x11/clutter-backend-x11.c:225: X Display ':0.0'[0x8c1c2a8] opened (screen:0, root:257, dpi:95,849057)
Clutter-Message: [MISC] ../../../clutter/clutter-feature.c:91: checking features
Clutter-Message: [MISC] ../../../clutter/clutter-feature.c:95: allocating features data
ClutterGLX-Message: [BACKEND] ../../../../clutter/glx/clutter-backend-glx.c:433: Retrieving GL fbconfig, dpy: 0x8c1c2a8, xscreen; 0x8c14420 (0)
ClutterGLX-Message: [BACKEND] ../../../../clutter/glx/clutter-backend-glx.c:558: Creating GLX Context (display: 0x8c1c2a8)
ClutterGLX-Message: [GL] ../../../../clutter/glx/clutter-backend-glx.c:577: Setting direct context
failed to create drawable
ClutterGLX-Message: [BACKEND] ../../../../clutter/glx/clutter-backend-glx.c:636: Selecting dummy 0x4200004 for the GLX context
Failed to initialise clutter: Unable to select the newly created GLX context

tags: added: maverick
removed: lucid
Bryce Harrington (bryce) on 2010-08-25
tags: added: lucid
tags: added: iso-testing
Changed in gnome-games:
importance: Unknown → Critical
status: Invalid → Unknown

After installing libgl1-mesa-dri-experimental I can successfully start quadrapassel and another python-clutter using app that was not working. I'm using nouveau on an up to date Maverick.

Dave Gilbert (ubuntu-treblig) wrote :

This is happening on Maverick on the open radeon drivers.

Dave

Having the libgl1-mesa-dri-experimental package installed no longer makes things work for me after its move from main to universe. Quadrapassel and my own python-clutter using app are back to throwing errors trying to set the current GLX drawable.

Responding for the request of video driver. I am running the Intel driver on this system.

Intel for me too.

On 28 September 2010 18:11, Matt Eskes <email address hidden> wrote:

> Responding for the request of video driver. I am running the Intel
> driver on this system.
>
> --
> quadrapassel doesn't start: Failed to initialise clutter: Unable to select
> the newly created GLX context
> https://bugs.launchpad.net/bugs/561734
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (645657).
>
> Status in GNOME Games: Unknown
> Status in “gnome-games” package in Ubuntu: Invalid
> Status in “xorg-server” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: gnome-games
>
> When clicking on the quadrapassel-icon in the menu, nothing happens.
>
> Trying to start in the terminal does the following output:
>
> linus@vbox-lucid:~$ /usr/games/quadrapassel
> failed to create drawable
> Failed to initialise clutter: Unable to select the newly created GLX
> context
>
> I'm using a fully updated lucid-beta with quadrapassel 1:2.30.0-0ubuntu5.
> ---
> Architecture: i386
> CurrentDmesg:
> [ 30.424093] eth1: no IPv6 routers present
> [ 30.820105] eth0: no IPv6 routers present
> [ 106.665279] end_request: I/O error, dev fd0, sector 0
> [ 106.696136] end_request: I/O error, dev fd0, sector 0
> DistroRelease: Ubuntu 10.04
> DkmsStatus: Error: [Errno 2] No such file or directory
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: innotek GmbH VirtualBox
> Package: mesa (not installed)
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-21-generic
> root=UUID=89e96d60-571d-4009-bc4a-fd5f5d9e9b81 ro quiet splash
> ProcEnviron:
> LANG=de_DE.utf8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
> Tags: lucid lucid
> Uname: Linux 2.6.32-21-generic i686
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
> dmi.bios.date: 12/01/2006
> dmi.bios.vendor: innotek GmbH
> dmi.bios.version: VirtualBox
> dmi.modalias:
> dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:
> dmi.product.name: VirtualBox
> dmi.product.version: 1.2
> dmi.sys.vendor: innotek GmbH
> glxinfo: Error: [Errno 2] No such file or directory
> system:
> distro: Ubuntu
> codename: lucid
> architecture: i686
> kernel: 2.6.32-21-generic
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-games/+bug/561734/+subscribe
>

Robert Roth (evfool) wrote :

Happens with Nvidia using the nouveau driver too.

Elias Julkunen (eliasj) wrote :
Download full text (7.7 KiB)

I use Ubuntu 10.10 and I have Acer Aspire One with Intel graphics card. I'm not absolutely sure if I have the same bug as you, but I can't start Quadrapassel either. Here's what happens when I start it from command line:

elias@elias-AOA110:~$ quadrapassel
Mesa 7.9-devel implementation error: Incomplete OpenGL ES 2.0 support.
Please report at bugzilla.freedesktop.org

(quadrapassel:2590): ClutterEGL-CRITICAL **: Unable to make the stage window 0x4400043 the current EGLX drawable

(quadrapassel:2590): ClutterEGL-CRITICAL **: Unable to make the stage window 0x4400064 the current EGLX drawable
*** stack smashing detected ***: quadrapassel terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x50)[0xb6d20980]
/lib/libc.so.6(+0xe592a)[0xb6d2092a]
/usr/lib/egl/pipe_i915.so(+0x6fdf4)[0xb5b72df4]
/usr/lib/egl/pipe_i915.so(+0xc1aa)[0xb5b0f1aa]
/usr/lib/egl/pipe_i915.so(+0xbdb2)[0xb5b0edb2]
/usr/lib/egl/pipe_i915.so(+0xa5e4)[0xb5b0d5e4]
/usr/lib/egl/st_GLESv2.so(+0x4fea1)[0xb5964ea1]
/usr/lib/egl/st_GLESv2.so(+0x4def8)[0xb5962ef8]
/usr/lib/egl/st_GLESv2.so(+0x474f6)[0xb595c4f6]
/usr/lib/libclutter-glx-1.0.so.0(+0xa2cd0)[0xb7759cd0]
/usr/lib/libclutter-glx-1.0.so.0(+0x99e53)[0xb7750e53]
/usr/lib/libclutter-glx-1.0.so.0(+0x98e64)[0xb774fe64]
/usr/lib/libclutter-glx-1.0.so.0(+0x98e8a)[0xb774fe8a]
/usr/lib/libclutter-glx-1.0.so.0(+0x99a62)[0xb7750a62]
/usr/lib/libclutter-glx-1.0.so.0(+0x98e8a)[0xb774fe8a]
/usr/lib/libclutter-glx-1.0.so.0(+0x99260)[0xb7750260]
/usr/lib/libclutter-glx-1.0.so.0(+0x94314)[0xb774b314]
/usr/lib/libclutter-glx-1.0.so.0(+0x92159)[0xb7749159]
/usr/lib/libclutter-glx-1.0.so.0(+0x84a07)[0xb773ba07]
/usr/lib/libclutter-glx-1.0.so.0(cogl_rectangle_with_texture_coords+0x56)[0xb773bc86]
/usr/lib/libclutter-glx-1.0.so.0(+0x74849)[0xb772b849]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x7c)[0xb708393c]
/usr/lib/libgobject-2.0.so.0(+0xaa87)[0xb7072a87]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0xc0)[0xb7074340]
/usr/lib/libgobject-2.0.so.0(+0x221e6)[0xb708a1e6]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x75c)[0xb708b9bc]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x32)[0xb708be62]
/usr/lib/libclutter-glx-1.0.so.0(clutter_actor_paint+0x12c)[0xb76db1ec]
/lib/libglib-2.0.so.0(g_list_foreach+0x27)[0xb6f1bf07]
/usr/lib/libclutter-glx-1.0.so.0(+0x510bc)[0xb77080bc]
/usr/lib/libclutter-glx-1.0.so.0(+0x6f927)[0xb7726927]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x7c)[0xb708393c]
/usr/lib/libgobject-2.0.so.0(+0xaa87)[0xb7072a87]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x192)[0xb7074412]
/usr/lib/libgobject-2.0.so.0(+0x221e6)[0xb708a1e6]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x75c)[0xb708b9bc]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x32)[0xb708be62]
/usr/lib/libclutter-glx-1.0.so.0(clutter_actor_paint+0x12c)[0xb76db1ec]
/usr/lib/libclutter-glx-1.0.so.0(+0xa5d56)[0xb775cd56]
/usr/lib/libclutter-glx-1.0.so.0(+0xa591c)[0xb775c91c]
/usr/lib/libclutter-glx-1.0.so.0(+0x374ce)[0xb76ee4ce]
/usr/lib/libclutter-glx-1.0.so.0(+0x59cc7)[0xb7710cc7]
/usr/lib/libclutter-glx-1.0.so.0(+0x6e724)[0xb7725724]
/usr/lib/libclutter-glx-1.0.so.0(+0x5ba47)[0xb7712a47]
/lib/libglib-2.0.so.0...

Read more...

Elias Julkunen (eliasj) wrote :

Here output of command "quadrapassel --clutter-debug=all", too.

Chris Halse Rogers (raof) wrote :

@Elias Julkunen: How have you managed to install the GLES version of clutter? Have you at some point deliberately installed the libclutter-eglx-es20-1.0-0 package? Your clutter packages are using a (currently) poorly-supported API, which should not be installed by default.

affects: xorg-server (Ubuntu) → mesa (Ubuntu)
Changed in mesa (Ubuntu):
assignee: nobody → Chris Halse Rogers (raof)
importance: Undecided → High
milestone: none → ubuntu-10.10
status: Confirmed → Fix Committed
Chris Halse Rogers (raof) wrote :

Being for the benefit of the release team, here's the debdiff of the fixed package committed to pkg-xorg git.

Chris Halse Rogers (raof) wrote :

Subscribing ubuntu-release to get this on their radar to determine whether this gets uploaded post-RC or as an SRU.

Elias Julkunen (eliasj) wrote :

@Chris: I have installed Ubuntu Netbook Edition, but actually I use normal Ubuntu interface, and I even removed unity.
Package libclutter-eglx-es20-1.0-0 is installed. Should I install some other package? Maybe libclutter-eglx-es11-1.0-0?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 7.9~git20100924-0ubuntu2

---------------
mesa (7.9~git20100924-0ubuntu2) maverick; urgency=low

  * Cherry-pick b24238c4 from 7.9 release branch. Fixes the lookup of
    drawables after switching the GLX context, which was causing BadDrawable
    errors in clutter applications which use multiple stages (LP: #561734)
 -- Christopher James Halse Rogers <email address hidden> Thu, 30 Sep 2010 14:48:12 +1000

Changed in mesa (Ubuntu):
status: Fix Committed → Fix Released

Doesn't work for me on a new and fully updated maverick. Do I have to install extra packages or libraries?

linus@virtualbox-maverick:~$ quadrapassel --clutter-debug=all
ClutterX11-Message: [BACKEND] ../../../../clutter/x11/clutter-backend-x11.c:143: XOpenDisplay on ':0.0'
ClutterX11-Message: [BACKEND] ../../../../clutter/x11/clutter-backend-x11.c:170: Getting the X screen
Clutter-Message: [BACKEND] ../../../clutter/clutter-backend.c:173: Units per em: 11,96
ClutterX11-Message: [BACKEND] ../../../../clutter/x11/clutter-device-manager-x11.c:70: XInput support not enabled
ClutterX11-Message: [BACKEND] ../../../../clutter/x11/clutter-device-manager-x11.c:167: Added core pointer device
ClutterX11-Message: [BACKEND] ../../../../clutter/x11/clutter-device-manager-x11.c:176: Added core keyboard device
ClutterX11-Message: [BACKEND] ../../../../clutter/x11/clutter-backend-x11.c:225: X Display ':0.0'[0x98d5e08] opened (screen:0, root:257, dpi:95,849057)
Clutter-Message: [MISC] ../../../clutter/clutter-feature.c:91: checking features
Clutter-Message: [MISC] ../../../clutter/clutter-feature.c:95: allocating features data
ClutterGLX-Message: [BACKEND] ../../../../clutter/glx/clutter-backend-glx.c:433: Retrieving GL fbconfig, dpy: 0x98d5e08, xscreen; 0x98c49c0 (0)
ClutterGLX-Message: [BACKEND] ../../../../clutter/glx/clutter-backend-glx.c:558: Creating GLX Context (display: 0x98d5e08)
ClutterGLX-Message: [GL] ../../../../clutter/glx/clutter-backend-glx.c:577: Setting direct context
failed to create drawable
ClutterGLX-Message: [BACKEND] ../../../../clutter/glx/clutter-backend-glx.c:636: Selecting dummy 0x4200004 for the GLX context
Failed to initialise clutter: Unable to select the newly created GLX context

Download full text (4.2 KiB)

Not working here on maverick either.

On 1 October 2010 12:35, Linus Hoppe <email address hidden> wrote:

> Doesn't work for me on a new and fully updated maverick. Do I have to
> install extra packages or libraries?
>
> linus@virtualbox-maverick:~$ quadrapassel --clutter-debug=all
> ClutterX11-Message: [BACKEND]
> ../../../../clutter/x11/clutter-backend-x11.c:143: XOpenDisplay on ':0.0'
> ClutterX11-Message: [BACKEND]
> ../../../../clutter/x11/clutter-backend-x11.c:170: Getting the X screen
> Clutter-Message: [BACKEND] ../../../clutter/clutter-backend.c:173: Units
> per em: 11,96
> ClutterX11-Message: [BACKEND]
> ../../../../clutter/x11/clutter-device-manager-x11.c:70: XInput support not
> enabled
> ClutterX11-Message: [BACKEND]
> ../../../../clutter/x11/clutter-device-manager-x11.c:167: Added core pointer
> device
> ClutterX11-Message: [BACKEND]
> ../../../../clutter/x11/clutter-device-manager-x11.c:176: Added core
> keyboard device
> ClutterX11-Message: [BACKEND]
> ../../../../clutter/x11/clutter-backend-x11.c:225: X Display
> ':0.0'[0x98d5e08] opened (screen:0, root:257, dpi:95,849057)
> Clutter-Message: [MISC] ../../../clutter/clutter-feature.c:91: checking
> features
> Clutter-Message: [MISC] ../../../clutter/clutter-feature.c:95: allocating
> features data
> ClutterGLX-Message: [BACKEND]
> ../../../../clutter/glx/clutter-backend-glx.c:433: Retrieving GL fbconfig,
> dpy: 0x98d5e08, xscreen; 0x98c49c0 (0)
> ClutterGLX-Message: [BACKEND]
> ../../../../clutter/glx/clutter-backend-glx.c:558: Creating GLX Context
> (display: 0x98d5e08)
> ClutterGLX-Message: [GL] ../../../../clutter/glx/clutter-backend-glx.c:577:
> Setting direct context
> failed to create drawable
> ClutterGLX-Message: [BACKEND]
> ../../../../clutter/glx/clutter-backend-glx.c:636: Selecting dummy 0x4200004
> for the GLX context
> Failed to initialise clutter: Unable to select the newly created GLX
> context
>
> --
> quadrapassel doesn't start: Failed to initialise clutter: Unable to select
> the newly created GLX context
> https://bugs.launchpad.net/bugs/561734
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (645657).
>
> Status in GNOME Games: Unknown
> Status in “gnome-games” package in Ubuntu: Invalid
> Status in “mesa” package in Ubuntu: Fix Released
>
> Bug description:
> Binary package hint: gnome-games
>
> When clicking on the quadrapassel-icon in the menu, nothing happens.
>
> Trying to start in the terminal does the following output:
>
> linus@vbox-lucid:~$ /usr/games/quadrapassel
> failed to create drawable
> Failed to initialise clutter: Unable to select the newly created GLX
> context
>
> I'm using a fully updated lucid-beta with quadrapassel 1:2.30.0-0ubuntu5.
> ---
> Architecture: i386
> CurrentDmesg:
> [ 30.424093] eth1: no IPv6 routers present
> [ 30.820105] eth0: no IPv6 routers present
> [ 106.665279] end_request: I/O error, dev fd0, sector 0
> [ 106.696136] end_request: I/O error, dev fd0, sector 0
> DistroRelease: Ubuntu 10.04
> DkmsStatus: Error: [Errno 2] No such file or directory
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0...

Read more...

Download full text (4.5 KiB)

Just did another update and it's now working for me.

On 1 October 2010 14:16, David Pothecary <email address hidden> wrote:

> Not working here on maverick either.
>
>
> On 1 October 2010 12:35, Linus Hoppe <email address hidden> wrote:
>
>> Doesn't work for me on a new and fully updated maverick. Do I have to
>> install extra packages or libraries?
>>
>> linus@virtualbox-maverick:~$ quadrapassel --clutter-debug=all
>> ClutterX11-Message: [BACKEND]
>> ../../../../clutter/x11/clutter-backend-x11.c:143: XOpenDisplay on ':0.0'
>> ClutterX11-Message: [BACKEND]
>> ../../../../clutter/x11/clutter-backend-x11.c:170: Getting the X screen
>> Clutter-Message: [BACKEND] ../../../clutter/clutter-backend.c:173: Units
>> per em: 11,96
>> ClutterX11-Message: [BACKEND]
>> ../../../../clutter/x11/clutter-device-manager-x11.c:70: XInput support not
>> enabled
>> ClutterX11-Message: [BACKEND]
>> ../../../../clutter/x11/clutter-device-manager-x11.c:167: Added core pointer
>> device
>> ClutterX11-Message: [BACKEND]
>> ../../../../clutter/x11/clutter-device-manager-x11.c:176: Added core
>> keyboard device
>> ClutterX11-Message: [BACKEND]
>> ../../../../clutter/x11/clutter-backend-x11.c:225: X Display
>> ':0.0'[0x98d5e08] opened (screen:0, root:257, dpi:95,849057)
>> Clutter-Message: [MISC] ../../../clutter/clutter-feature.c:91: checking
>> features
>> Clutter-Message: [MISC] ../../../clutter/clutter-feature.c:95: allocating
>> features data
>> ClutterGLX-Message: [BACKEND]
>> ../../../../clutter/glx/clutter-backend-glx.c:433: Retrieving GL fbconfig,
>> dpy: 0x98d5e08, xscreen; 0x98c49c0 (0)
>> ClutterGLX-Message: [BACKEND]
>> ../../../../clutter/glx/clutter-backend-glx.c:558: Creating GLX Context
>> (display: 0x98d5e08)
>> ClutterGLX-Message: [GL]
>> ../../../../clutter/glx/clutter-backend-glx.c:577: Setting direct context
>> failed to create drawable
>> ClutterGLX-Message: [BACKEND]
>> ../../../../clutter/glx/clutter-backend-glx.c:636: Selecting dummy 0x4200004
>> for the GLX context
>> Failed to initialise clutter: Unable to select the newly created GLX
>> context
>>
>> --
>> quadrapassel doesn't start: Failed to initialise clutter: Unable to select
>> the newly created GLX context
>> https://bugs.launchpad.net/bugs/561734
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug (645657).
>>
>> Status in GNOME Games: Unknown
>> Status in “gnome-games” package in Ubuntu: Invalid
>> Status in “mesa” package in Ubuntu: Fix Released
>>
>> Bug description:
>> Binary package hint: gnome-games
>>
>> When clicking on the quadrapassel-icon in the menu, nothing happens.
>>
>> Trying to start in the terminal does the following output:
>>
>> linus@vbox-lucid:~$ /usr/games/quadrapassel
>> failed to create drawable
>> Failed to initialise clutter: Unable to select the newly created GLX
>> context
>>
>> I'm using a fully updated lucid-beta with quadrapassel 1:2.30.0-0ubuntu5.
>> ---
>> Architecture: i386
>> CurrentDmesg:
>> [ 30.424093] eth1: no IPv6 routers present
>> [ 30.820105] eth0: no IPv6 routers present
>> [ 106.665279] end_request: I/O error, dev fd0, sector 0
>> [ 106.696136] end_request: I/O error, dev fd0,...

Read more...

Elias Julkunen (eliasj) wrote :

I just updated my system (maverick) and quadrapassel is still not working for me.

setting to confirmed because it does not work for some users

Changed in mesa (Ubuntu):
status: Fix Released → Confirmed
Dave Gilbert (ubuntu-treblig) wrote :

If you are still seeing this can you please give the following information:

The graphics card you have from:

lspci|grep -i vga

Whether you have any proprietary graphics drivers installed; I think the following should say that:

jockey-text -l

The version of quadrapassel you have:
dpkg -l quadrapassel|cat

and finally what mesa stuff you have installed:
dpkg -l \*mesa\*|grep ^ii

and maybe the output of glxinfo

Dave

Download full text (21.1 KiB)

$ lspci | grep -i vga
00:02.0 VGA compatible controller: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter
$ jockey-text -l
$ sudo apt-cache policy quadrapassel
quadrapassel:
  Installiert: 1:2.32.0-0ubuntu1
  Kandidat: 1:2.32.0-0ubuntu1
  Versionstabelle:
 *** 1:2.32.0-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status
$ dpkg -l \*mesa\*|grep ^ii
ii libgl1-mesa-dri 7.9~git20100924-0ubuntu2 A free implementation of the OpenGL API -- DRI modules
ii libgl1-mesa-glx 7.9~git20100924-0ubuntu2 A free implementation of the OpenGL API -- GLX runtime
ii libglu1-mesa 7.9~git20100924-0ubuntu2 The OpenGL utility library (GLU)
ii mesa-utils 8.0.1-0ubuntu1 Miscellaneous Mesa GL utilities
$ glxinfo
name of display: :0.0
display: :0 screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method,
    GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe,
    GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer,
    GLX_MESA_copy_sub_buffer, GLX_INTEL_swap_event
client glx vendor string: Mesa Project and SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer,
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control,
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync,
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer,
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap,
    GLX_INTEL_swap_event
GLX version: 1.4
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_OML_swap_method,
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer,
    GLX_INTEL_swap_event
OpenGL vendor string: Mesa Project
OpenGL renderer string: Software Rasterizer
OpenGL version string: 2.1 Mesa 7.9-devel
OpenGL shading language version string: 1.20
OpenGL extensions:
    GL_ARB_copy_buffer, GL_ARB_depth_clamp, GL_ARB_depth_texture,
    GL_ARB_draw_buffers, GL_ARB_draw_elements_base_vertex,
    GL_ARB_fragment_coord_conventions, GL_ARB_fragment_program,
    GL_ARB_fragment_program_shadow, GL_ARB_fragment_shader,
    GL_ARB_framebuffer_object, GL_ARB_half_float_pixel,
    GL_ARB_half_float_vertex, GL_ARB_imaging, GL_ARB_map_buffer_range,
    GL_ARB_multisample, GL_ARB_multitexture, GL_ARB_occlusion_query,
    GL_ARB_pixel_buffer_object, GL_ARB_point_parameters, GL_ARB_point_sprite,
    GL_ARB_provoking_vertex, GL_ARB_shader_objects,
    GL_ARB_shading_language_100, GL_ARB_shadow, GL_ARB_shadow_ambient,
    GL_ARB_sync, GL_ARB_texture_border_clamp, GL_ARB_texture_compression,
    GL_A...

Elias Julkunen (eliasj) wrote :
Download full text (12.8 KiB)

I have removed Jockey because I don't need any proprietary drivers. Btw, I can't use Mutter either, it crashes too with similar error message.

elias@elias-AOA110:~$ lspci|grep -i vga
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)

elias@elias-AOA110:~$ jockey-text -l
The program 'jockey-text' is currently not installed. You can install it by typing:
sudo apt-get install jockey-common

elias@elias-AOA110:~$ dpkg -l quadrapassel|grep quadrapassel
ii quadrapassel 1:2.32.0-0ubuntu1 Falling blocks game

elias@elias-AOA110:~$ dpkg -l \*mesa\*|grep ^ii
ii libegl1-mesa 7.9~git20100924-0ubuntu2 A free implementation of the EGL API -- runtime
ii libegl1-mesa-drivers 7.9~git20100924-0ubuntu2 A free implementation of the EGL API -- hardware drivers.
ii libgl1-mesa-dri 7.9~git20100924-0ubuntu2 A free implementation of the OpenGL API -- DRI modules
ii libgl1-mesa-dri-experimental 7.9~git20100924-0ubuntu2 A free implementation of the OpenGL API -- Extra DRI modules
ii libgl1-mesa-glx 7.9~git20100924-0ubuntu2 A free implementation of the OpenGL API -- GLX runtime
ii libgles2-mesa 7.9~git20100924-0ubuntu2 A free implementation of the OpenGL|ES 2.x API -- runtime
ii libglu1-mesa 7.9~git20100924-0ubuntu2 The OpenGL utility library (GLU)
ii mesa-utils 8.0.1-0ubuntu1 Miscellaneous Mesa GL utilities

elias@elias-AOA110:~$ glxinfo
name of display: :0.0
display: :0 screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer,
    GLX_OML_swap_method, GLX_SGI_make_current_read, GLX_SGI_swap_control,
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer,
    GLX_SGIX_visual_select_group, GLX_INTEL_swap_event
client glx vendor string: Mesa Project and SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer,
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control,
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync,
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer,
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap,
    GLX_INTEL_swap_event
GLX version: 1.4
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer,
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control,
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video...

Dave Gilbert (ubuntu-treblig) wrote :

Hi Elias,
  That's interesting - my laptop runs quadrapassel OK and it's got a 945GM (without the E - I don't know what that E gives you!)
and the output is very similar to yours (included). The only difference I can see are a difference in the visuals (why?).
(I'm not running with desktop effects, just in case there is any possibility of it being related)

Elias Julkunen (eliasj) wrote :

I solved the problem. Package libclutter-eglx-es20-1.0-0 was installed. I replaced that package with package libclutter-1.0-0 and now quadrapassel works.

I installed Ubuntu Netbook Edition from daily image shortly after beta 2. I guess that libclutter-eglx-es20-1.0-0 was default package, but I checked now Ubuntu RC image and libclutter-1.0-0 will be installed default, so everything should be okay.

@Linus, could you confirm that installing package libclutter-1.0-0 fixes this bug?

can't confirm. libclutter-eglx-es20-1.0-0 is not installed, libclutter-1.0-0 is installed yet.

$ dpkg -l \*libclutter\*|grep ^ii
ii libclutter-1.0-0 1.2.12-0ubuntu13 Open GL based interactive canvas library
ii libclutter-gtk-0.10-0 0.10.4-1ubuntu3 Open GL based interactive canvas library GTK+ widget

Chris Halse Rogers (raof) wrote :

Marking as fix released again. One of the remaining issues was unrelated - caused by having the GL|ES 2.0 version of libclutter installed. The second one is a problem with the software renderer, which I'll shift over to bug #654361.

Changed in mesa (Ubuntu):
status: Confirmed → Fix Released

@Chris: Please tell me how to fix this issue. I still get the error when trying to start the game. Do I have to install/remove any packages?

Chris Halse Rogers (raof) wrote :

@Linus: Quadrapassel is not working for you because you don't have 3D acceleration working; I decided to create a new bug for that - bug #654361. There's currently no fix for that (apart from getting your 3D drivers working).

trusktr (trusktr) wrote :

Hey All, Removing "nomodeset" from my kernel boot line (in Arch Linux that's in /boot/grub/menu.lst) fixed this issue for me.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.